package com.aurellem.capture;

import com.aurellem.capture.audio.AudioSendRenderer;
import com.jme3.audio.AudioRenderer;
import com.jme3.system.AppSettings;
import com.jme3.system.JmeDesktopSystem;

public class AurellemSystemDelegate extends JmeDesktopSystem {
	
	public static final String SEND = "Send";
	
	public AudioRenderer newAudioRenderer(AppSettings settings) {
        initialize(settings);
        if (settings.getAudioRenderer().equals(SEND)){
        	return new AudioSendRenderer();
        }
        else {
        	return super.newAudioRenderer(settings);
        }
        
	}	
}